/// <reference path="jquery.d.ts" />
/// <reference path="lodash.d.ts" />
/// <reference path="three.d.ts" />
/// <reference path="Utils.d.ts" />
/// <reference path="OrbitalMechanics.d.ts" />
/// <reference path="Rings.d.ts" />
/// <reference path="SOITree.d.ts" />
/// <reference path="SolarSystem.d.ts" />
/// <reference path="Labels.d.ts" />
/// <reference path="Body.d.ts" />
declare class Objectives {
    view: SOITreeRenderer;
    label: JQuery;
    score: number;
    targetDistance: number;
    time: number;
    deadline: number;
    target: SOINode;
    distance: number;
    constructor(view: SOITreeRenderer, label: JQuery);
    getTarget(): SOINode;
    start(): void;
    setNextTarget(t: number): void;
    getTimeLimit(): number;
    getTargetDistance(): number;
    reset(): void;
    onCollision(): void;
    update(t: any): void;
    gameOver(reason: boolean): void;
    getDescription(): string;
}
